Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoLodTreeLibrary.cpp
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoLodTreeLibrary.cpp	(revision 1018)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoLodTreeLibrary.cpp	(revision 1019)
@@ -2,5 +2,4 @@
 #include <assert.h>
 #include "GeoLodTreeLibrary.h"
-#include "libs/leaves/arbol.h"
 #include "libs/leaves/Foliage.h"
 
@@ -29,6 +28,5 @@
 //	arbol = new Arbol(foliage_verts.c_str(),foliage_leafs.c_str(),foliage_simpl.c_str(),NULL/*vdfun*/,NULL/*idfun*/);
 	Geometry::SubMesh * leafsSubMesh = &(treeGeoMesh->mSubMesh[leafSubMeshID]);
-	arbol = new Arbol(leafsSubMesh,leafSimpSeqFile.c_str());
-	foliage = new Foliage(arbol);
+	foliage = new Foliage(leafsSubMesh,leafSimpSeqFile.c_str());
 }
 /*
@@ -54,5 +52,4 @@
 {
 	if (trunk) delete trunk;
-	if (arbol) delete arbol;
 	if (foliage) delete foliage;
 /*	if (trunk_all_indices) delete trunk_all_indices;
@@ -111,6 +108,6 @@
 	foliage->AjusteHojas(newlod);
 
-	arbol->indexdata->Begin();
-	arbol->vertexdata->Begin();
+	foliage->indexdata->Begin();
+	foliage->vertexdata->Begin();
 	int i = foliage->ppio;
 	int auxnumhojas = 0;
@@ -121,6 +118,6 @@
 	}
 
-	assert(auxnumhojas*6<=int(arbol->indexdata->GetNumMaxIndices()));
-	arbol->indexdata->SetNumValidIndices(auxnumhojas*6);
+	assert(auxnumhojas*6<=int(foliage->indexdata->GetNumMaxIndices()));
+	foliage->indexdata->SetNumValidIndices(auxnumhojas*6);
 	i = foliage->ppio;
 	int kkkk=0;
@@ -128,26 +125,26 @@
 	{
 		unsigned int v0,v1,v2,v3;
-		v0 = arbol->Hojas[i].Vert_Hoja[0];
-		v1 = arbol->Hojas[i].Vert_Hoja[1];
-		v2 = arbol->Hojas[i].Vert_Hoja[2];
-		v3 = arbol->Hojas[i].Vert_Hoja[3];
-
-		arbol->indexdata->SetIndex(kkkk+0,v0);
-		arbol->indexdata->SetIndex(kkkk+1,v1);
-		arbol->indexdata->SetIndex(kkkk+2,v2);
-		arbol->indexdata->SetIndex(kkkk+3,v2);
-		arbol->indexdata->SetIndex(kkkk+4,v1);
-		arbol->indexdata->SetIndex(kkkk+5,v3);
-
-		arbol->vertexdata->SetVertexTexCoord(v0,0,0);
-		arbol->vertexdata->SetVertexTexCoord(v1,0,1);
-		arbol->vertexdata->SetVertexTexCoord(v2,1,0);
-		arbol->vertexdata->SetVertexTexCoord(v3,1,1); 
+		v0 = foliage->Leaves[i].vertsLeaf[0];
+		v1 = foliage->Leaves[i].vertsLeaf[1];
+		v2 = foliage->Leaves[i].vertsLeaf[2];
+		v3 = foliage->Leaves[i].vertsLeaf[3];
+
+		foliage->indexdata->SetIndex(kkkk+0,v0);
+		foliage->indexdata->SetIndex(kkkk+1,v1);
+		foliage->indexdata->SetIndex(kkkk+2,v2);
+		foliage->indexdata->SetIndex(kkkk+3,v2);
+		foliage->indexdata->SetIndex(kkkk+4,v1);
+		foliage->indexdata->SetIndex(kkkk+5,v3);
+
+		foliage->vertexdata->SetVertexTexCoord(v0,0,0);
+		foliage->vertexdata->SetVertexTexCoord(v1,0,1);
+		foliage->vertexdata->SetVertexTexCoord(v2,1,0);
+		foliage->vertexdata->SetVertexTexCoord(v3,1,1); 
 
 		kkkk+=6;
 		i=foliage->Acth[i].next;
 	}
-	arbol->indexdata->End();
-	arbol->vertexdata->End();
+	foliage->indexdata->End();
+	foliage->vertexdata->End();
 
 	return 0;
@@ -157,5 +154,5 @@
 {
 //	return arbol->minHojas;
-	return arbol->nHojas;
+	return foliage->nHojas;
 }
 uint32 LodTreeLibrary::MaxFoliageLod(void) const
@@ -163,5 +160,5 @@
 	//	return arbol->TotHojas;
 	//return arbol->nHojas;
-	return arbol->minHojas;
+	return foliage->minHojas;
 }
 
@@ -180,5 +177,5 @@
 const VertexData* LodTreeLibrary::Get_Foliage_VertexData(void) const
 {
-	return arbol->vertexdata;
+	return foliage->vertexdata;
 }
 
@@ -186,5 +183,5 @@
 {
 //	return current_foliage_indices;
-	return arbol->indexdata;
+	return foliage->indexdata;
 }
 
@@ -198,5 +195,5 @@
 {
 //	return current_foliage_indexcount;
-	return arbol->indexdata->GetNumValidIndices();
+	return foliage->indexdata->GetNumValidIndices();
 }
 /*
@@ -218,4 +215,4 @@
 uint32 LodTreeLibrary::Get_Foliage_MaxIndexCount(void) const
 {
-	return arbol->indexdata->GetNumMaxIndices();
-}
+	return foliage->indexdata->GetNumMaxIndices();
+}
